Page 3 of 8 FirstFirst 12345 ... LastLast
Results 21 to 30 of 79

Thread: HOWTO: Get your ESI MAYA 44 to work

  1. #21
    Join Date
    Jul 2008
    Beans
    9
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: HOWTO: Get your ESI MAYA 44 to work

    This is strange, because I'm using this patch with 8.10 and everything works good.

    Code:
    cd; mkdir maya44; cd maya44
    wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.18rc3.tar.bz2
    wget http://prl-quakewars.ovh.org/esi_maya44-alsa-1.0.18rc3.diff.tar.gz
    tar -xjf alsa-driver-1.0.18rc3.tar.bz2
    tar -xvzf esi_maya44-alsa-1.0.18rc3.diff.tar.gz
    patch -p0 < esi_maya44-alsa-1.0.18rc3.diff
    sudo apt-get install build-essential
    cd alsa-driver-1.0.18rc3
    ./configure --with-cards=ice1724 --with-sequencer=yes ; make
    sudo make install

  2. #22
    Join Date
    Nov 2008
    Beans
    3

    Re: HOWTO: Get your ESI MAYA 44 to work

    Then there is a hope!

    In the old version (8.04), I used the following line:
    sudo apt-get install linux-headers-`uname -r`
    ...Otherwise did not work

    In Ubuntu 8.10 I'm still using this command, and the remainder is equal to your code.

    I will try again! Thanks for the answer!

  3. #23
    Join Date
    Nov 2008
    Beans
    3

    Re: HOWTO: Get your ESI MAYA 44 to work

    It worked!

    I installed Ubuntu again, and this time I not used the linux-headers in the process. Works fine!

    Thanks for your attention, Patryk!

  4. #24
    Join Date
    Dec 2008
    Beans
    1

    Re: HOWTO: Get your ESI MAYA 44 to work

    great work thanks a lot.
    when ubuntu updates the kernel (maybe alsa is updated also), it will tend to overwrite the driver, but i just follow the commands step again and it still works.

  5. #25
    Join Date
    Dec 2008
    Beans
    1

    Re: HOWTO: Get your ESI MAYA 44 to work

    hello. I have an Audiotrak Maya44 MkII. can you tell me if this procedure works also for my card?
    thank you.

  6. #26
    Join Date
    Jan 2009
    Beans
    2

    Re: HOWTO: Get your ESI MAYA 44 to work

    I also had an Audiotrak maya44mkII.
    Is there anyone who get it works?
    thank's

  7. #27
    Join Date
    Feb 2007
    Beans
    152

    Re: HOWTO: Get your ESI MAYA 44 to work

    How could install this patch if I have installed alsa 1.0.19? It's the procedure the same?

  8. #28
    Join Date
    Mar 2009
    Beans
    1
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: HOWTO: Get your ESI MAYA 44 to work

    I begin to make driver for my Audiotrak MAYA44MKII, but this is difficult for me. I found some info about this card:

    It based on Envy24HT-S main chip, same as ESI MAYA44, but codec chips wm8731 used instead wm8776 on ESI MAYA44.

    His pci subdevice id is 0x30315441.

    Driver developers, help!

  9. #29
    Join Date
    Mar 2009
    Beans
    2

    Re: HOWTO: Get your ESI MAYA 44 to work

    Quote Originally Posted by Patryk Krawczyk View Post
    Here's a patch for UBUNTU 8.10 beta against alsa-driver-1.0.18rc3:

    esi_maya44-alsa-1.0.18rc3.diff.tar.gz
    Successfully works with 9.04 Jaunty alpha.

    Thank Rainer and Patryk again.
    Last edited by Adaon; March 16th, 2009 at 04:32 PM.

  10. #30
    Join Date
    Mar 2009
    Beans
    1

    Re: HOWTO: Get your ESI MAYA 44 to work

    I have tried to compile the 1.0.17 version and 1.0.18rc3 with a 2.6.27.19-3.2-default kernel and failed both times.

    this is what I get upon make:

    ...
    /usr/src/linux-2.6.27.19-3.2/include/asm-generic/memory_model.h:78:1: warning: this is the location of the previous definition
    /home/kramar/maya44/alsa-driver-1.0.18rc3/acore/memory_wrapper.c: In function ‘snd_compat_vmalloc_to_page’:
    /home/kramar/maya44/alsa-driver-1.0.18rc3/acore/memory_wrapper.c:44: error: implicit declaration of function ‘VMALLOC_VMADDR’
    /home/kramar/maya44/alsa-driver-1.0.18rc3/acore/memory_wrapper.c:49: warning: passing argument 1 of ‘pmd_offset’ from incompatible pointer type
    /home/kramar/maya44/alsa-driver-1.0.18rc3/acore/memory_wrapper.c:50: error: implicit declaration of function ‘pte_offset’
    /home/kramar/maya44/alsa-driver-1.0.18rc3/acore/memory_wrapper.c:50: warning: assignment makes pointer from integer without a cast
    make[4]: *** [/home/kramar/maya44/alsa-driver-1.0.18rc3/acore/memory_wrapper.o] Error 1
    make[3]: *** [/home/kramar/maya44/alsa-driver-1.0.18rc3/acore] Error 2
    make[2]: *** [_module_/home/kramar/maya44/alsa-driver-1.0.18rc3] Error 2
    make[1]: *** [sub-make] Error 2
    make[1]: Leaving directory `/usr/src/linux-2.6.27.19-3.2'
    make: *** [compile] Error 2


    what could it be?

Page 3 of 8 FirstFirst 12345 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •